libmeep-mpi-default12_1.7.0-3_amd64.deb


Advertisement

Description

libmeep-mpi-default12 - library for using parallel (OpenMPI) version of meep

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libmeep-mpi-default12_1.7.0-3_amd64.deb
Package name libmeep-mpi-default12
Package version 1.7.0
Package release 3
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://meep.readthedocs.io
License -
Maintainer Thorsten Alteholz <debian@alteholz.de>
Download size 320.93 KB
Installed size 1.03 MB

Alternatives

Package Version Architecture Repository
libmeep-mpi-default12_1.7.0-3_i386.deb 1.7.0 i386 Debian Main
libmeep-mpi-default12 - - -

Requires

Name Value
libatlas3-base -
libc6 >= 2.14
libfftw3-double3 >= 3.3.5
libgcc1 >= 1:4.0
libgfortran5 >= 8
libgsl23 >= 2.5
libgslcblas0 >= 2.4
libharminv3 >= 1.4
libhdf5-openmpi-103 >= 1.8.14
liblapack.so.3 -
liblapack3 -
libopenmpi3 -
libquadmath0 >= 4.6
libstdc++6 >= 5.2
zlib1g >= 1:1.1.4

Conflicts

Name Value
libmeep-lam4-12 -
libmeep-lam4-6 -
libmeep-lam4-7 -
libmeep-lam4-8 -
libmeep-mpi-default6 -
libmeep-mpi-default7 -
libmeep-mpi-default8 -
libmeep-mpich2-12 -
libmeep-mpich2-6 -
libmeep-mpich2-7 -
libmeep-mpich2-8 -
libmeep-openmpi12 -
libmeep-openmpi6 -
libmeep-openmpi7 -
libmeep-openmpi8 -
libmeep10 -
libmeep12 -
libmeep6 -
libmeep7 -
libmeep8 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmeep-mpi-default12_1.7.0-3_amd64.deb
Source Package meep-mpi-default

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmeep-mpi-default12 deb package:
    # sudo apt-get install libmeep-mpi-default12

Files

Path
/usr/lib/x86_64-linux-gnu/libmeep.so.12
/usr/lib/x86_64-linux-gnu/libmeep.so.12.0.0
/usr/lib/x86_64-linux-gnu/libmeepgeom.so.12
/usr/lib/x86_64-linux-gnu/libmeepgeom.so.12.0.0
/usr/share/doc/libmeep-mpi-default12/changelog.Debian.gz
/usr/share/doc/libmeep-mpi-default12/changelog.gz
/usr/share/doc/libmeep-mpi-default12/copyright
/usr/share/lintian/overrides/libmeep-mpi-default12
/usr/share/meep/casimir.scm
/usr/share/meep/materials.scm
/usr/share/meep/meep-enums.scm
/usr/share/meep/meep.scm

Changelog

2019-02-04 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.7.0-3) sid; urgency=medium
* debian/*postinst debian/*prerm: add correct package name
(Closes: #918858)
Thanks to Peter Green and Andreas Beckmann for their hints
* debian/control: update description according to upstream wishes
* debian/control: update homepage
* debian/control: Standards Version to 4.3.0. (No changes needed).
* debian/copyright: update Upstream-Source:
2018-12-25 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.7.0-2) unstable; urgency=medium
* upload to unstable
2018-12-22 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.7.0-1) experimental; urgency=medium
* New upstream release
* debian/control: use dh11
* debian/control: Standards Version to 4.2.1. (No changes needed).
* debian/control: use libctl>=4.1.4-2
* debian/control: add swig dependency
* debian/control: remove dependencies: autotools-dev, dh-autoreconf
* debian/control: depend on newest libctl and thus on guile2.2
(Closes: #885225)
* debian/control: depend on newest libharminv
* debian/control: add salsa VCS URLs
* debian/control: bump SONAME to 12
* debian/control: upstream does not support parallel installation of
serial and MPI version any longer
add conflicts accordingly
* debian/rules: add --enable-maintainer-mode to configure flags
* debian/rules: enable hardening flags
* update debian/watch
[ Ruben Undheim ]
* add python package
2015-12-20 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.3-3) unstable; urgency=medium
* Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
Thanks to Bas Couwenberg for the patch (Closes: #807213)
* debian/rules: put correct path to --with-libctl
2015-07-05 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.3-2) unstable; urgency=medium
* debian/control: add conflict with old version of libs (Closes: #790746)
2015-06-22 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.3-1) unstable; urgency=medium
* upstream version (Closes: #788691)
* soname changed to 8
* debian/control: Standards Version to 3.9.6. (No changes needed).
2014-08-03 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.2.1-2) unstable; urgency=medium
* Support hdf5 1.8.13 new packaging layout. (Closes: #756682)
(patch by Gilles Filippini <pini@debian.org>)
2014-05-10 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.2.1-1) unstable; urgency=medium
* new upstream version
* soname changed to 7
* debian/rules: upstream ChangeLog is now called NEWS
* debian/control: Standards Version to 3.9.5. (No changes needed).
* debian/control: switch to dh 9
* debian/control: use guile 2.0 now
* debian/control: remove DM-Upload-Allowed:
* debian/rules: use debhelper
* debian/rules: use --with autoreconf (Closes: #744462)
* debian/copyright: adapt years
2013-06-09 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.1.1-10) unstable; urgency=low
* debian/rules: mv /usr/include/meep-mpi-default to /usr/include/meep
(Closes: #711765)
2012-06-27 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.1.1-9) unstable; urgency=low
* debian/control: add more Conflicts: (Closes: #677459, #677462)

See Also

Package Description
libmeep-mpich2-12_1.7.0-3_amd64.deb library for using parallel (OpenMPI) version of meep
libmeep-mpich2-dev_1.7.0-3_amd64.deb development library for using parallel (OpenMPI) version of meep
libmeep-openmpi-dev_1.7.0-3_amd64.deb development library for using parallel (OpenMPI) version of meep
libmeep-openmpi12_1.7.0-3_amd64.deb library for using parallel (OpenMPI) version of meep
libmeep12_1.7.0-3_amd64.deb library for using meep
libmelt-ocaml-dev_1.4.0-2+b1_amd64.deb LaTeX with OCaml (libraries)
libmemcached-dev_1.0.18-4.2_amd64.deb C and C++ client library to the memcached server (development files)
libmemcached-libmemcached-perl_1.001801+dfsg-2+b4_amd64.deb thin, fast, full interface to the libmemcached client API
libmemcached-tools_1.0.18-4.2_amd64.deb Commandline tools for talking to memcached via libmemcached
libmemcached11_1.0.18-4.2_amd64.deb C and C++ client library to the memcached server
libmemcachedutil2_1.0.18-4.2_amd64.deb library implementing connection pooling for libmemcached
libmemkind-dev_1.9.0-2_amd64.deb user-extensible heap manager for heterogeneous memory platforms
libmemkind-progs_1.9.0-2_amd64.deb user-extensible heap manager for heterogeneous memory platforms
libmemkind0_1.9.0-2_amd64.deb user-extensible heap manager for heterogeneous memory platforms
libmemoize-expirelru-perl_0.56-1_all.deb Expiry plug-in for Memoize that adds LRU cache expiration
Advertisement
Advertisement